Loading...
Searching...
No Matches
MultiResGrid< TreeType >::MaskOp Struct Reference

`#include <openvdb/tools/MultiResGrid.h>`

## Public Types

using | MaskT = typename TreeType::template ValueConverter<ValueMask>::Type
using | PoolType = tbb::enumerable_thread_specific<TreeType>
using | ManagerT = tree::LeafManager<const MaskT>
using | RangeT = typename ManagerT::LeafRange
using | VoxelIterT = typename ManagerT::LeafNodeType::ValueOnCIter

## Public Member Functions

| MaskOp (const TreeType &fineTree, TreeType &coarseTree, size_t grainSize=1)
void | operator() (const RangeT &range) const

## Public Attributes

PoolType * | mPool

## Member Typedef Documentation

## ManagerT

template<typename TreeType>

using ManagerT = tree::LeafManager<const MaskT>

## MaskT

template<typename TreeType>

using MaskT = typename TreeType::template ValueConverter<ValueMask>::Type

## PoolType

template<typename TreeType>

using PoolType = tbb::enumerable_thread_specific<TreeType>

## RangeT

template<typename TreeType>

using RangeT = typename ManagerT::LeafRange

## VoxelIterT

template<typename TreeType>

using VoxelIterT = typename ManagerT::LeafNodeType::ValueOnCIter

## Constructor & Destructor Documentation

## MaskOp()

template<typename TreeType>

MaskOp | ( | const TreeType & | fineTree,
|  | TreeType & | coarseTree,
|  | size_t | grainSize = 1 )

inline

## Member Function Documentation

## operator()()

template<typename TreeType>

void operator() | ( | const RangeT & | range | ) | const

inline

## Member Data Documentation

## mPool

template<typename TreeType>

PoolType* mPool